# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Automation::Mgmt::V2015_10_31
  module Models
    #
    # Definition of the job schedule.
    #
    class JobSchedule

      include MsRestAzure

      # @return [String] Gets the id of the resource.
      attr_accessor :id

      # @return [String] Gets the name of the variable.
      attr_accessor :name

      # @return [String] Resource type
      attr_accessor :type

      # @return [String] Gets or sets the id of job schedule.
      attr_accessor :job_schedule_id

      # @return [ScheduleAssociationProperty] Gets or sets the schedule.
      attr_accessor :schedule

      # @return [RunbookAssociationProperty] Gets or sets the runbook.
      attr_accessor :runbook

      # @return [String] Gets or sets the hybrid worker group that the
      # scheduled job should run on.
      attr_accessor :run_on

      # @return [Hash{String => String}] Gets or sets the parameters of the job
      # schedule.
      attr_accessor :parameters


      #
      # Mapper for JobSchedule class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'JobSchedule',
          type: {
            name: 'Composite',
            class_name: 'JobSchedule',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              job_schedule_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.jobScheduleId',
                type: {
                  name: 'String'
                }
              },
              schedule: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.schedule',
                type: {
                  name: 'Composite',
                  class_name: 'ScheduleAssociationProperty'
                }
              },
              runbook: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.runbook',
                type: {
                  name: 'Composite',
                  class_name: 'RunbookAssociationProperty'
                }
              },
              run_on: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.runOn',
                type: {
                  name: 'String'
                }
              },
              parameters: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.parameters',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
